cURL
curl --request GET \
--url https://web-scraping-api2.p.rapidapi.com/get-search-companies-results \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://web-scraping-api2.p.rapidapi.com/get-search-companies-results"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://web-scraping-api2.p.rapidapi.com/get-search-companies-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"company_id": "2966330",
"company_name": "P&C Global",
"domain": "pandcglobal.com",
"linkedin_url": "https://www.linkedin.com/company/pandcglobal",
"description": "Welcome to P&C Global...",
"employee_count": 77,
"employee_range": "5001-10000",
"follower_count": 10866,
"hq_city": "Toronto",
"hq_country": "CA",
"hq_full_address": "1 Dundas St W, 25th Floor, Toronto, Ontario M5G 1Z3, CA",
"industry": "Business Consulting and Services",
"logo_url": "https://media.licdn.com/dms/image/v2/.../logo.png",
"year_founded": 2012
}
],
"message": "Search results retrieved successfully.",
"total": 100
}{
"data": null,
"message": "Bad request: Invalid request_id."
}{
"data": null,
"message": "System error. We will fix it soon!"
}Company Search (via Sales Navigator)
Get Companies
GET
/
get-search-companies-results
cURL
- Get search results. Please make sure the search is done before calling this endpoint.
- Pricing: 1 credits per result.
Authorizations
Query Parameters
Example:
"dd1b29063de8927b31fa523d36432b61"
The page number for paginated results. Maximum 100 results returned per page.
Example:
1
⌘I
